#ifndef convertSimMCContributionsToHitCollection_h
#define convertSimMCContributionsToHitCollection_h

#include <string>
#include <iostream>

#include "lcio.h"
using namespace lcio ;
#include "IMPL/LCCollectionVec.h"


class convertSimHitsStepToCaloHit
{
 public:
  convertSimHitsStepToCaloHit(std::vector<std::string> collectionNames=std::vector<std::string>(), std::ostream& errorstream=std::cerr);

  void setILDmode();
  //void setProtoMode()

  void setCollectionNames(std::vector<std::string> collectionNames) {m_inputCollectionsNames=collectionNames;}
  void addCollectionName(std::string name) {m_inputCollectionsNames.push_back(name);}
  
  LCCollectionVec* convert(const EVENT::LCEvent* evt);
 private:

  void prepareCollection(const EVENT::LCEvent* evt);
  void convertSimMCContributionsToHitCollection(LCCollectionVec* &outputCollection);// It is expected that outputCollection will be a null pointer.
  std::vector<LCCollection*> m_inputCollections;
  std::vector<std::string> m_inputCollectionsNames;
  std::ostream& m_error=std::cerr;
  unsigned int m_CellIDMask;
  std::string m_CellIDEncoding;
};


#endif
