#include "SimHitStepsToCaloHitProcessor.h"


// ----- include for verbosity dependend logging ---------
#include "marlin/VerbosityLevels.h"

SimHitStepsToCaloHitProcessor aSimHitStepsToCaloHitProcessor;

SimHitStepsToCaloHitProcessor::SimHitStepsToCaloHitProcessor() : Processor("SimHitStepsToCaloHitProcessor")
{
  _description = "SimHitStepsToCaloHitProcessor ; transform SimCalorimeterHit MC contribution list into a collection of CalorimeterHit";

  StringVec colDefault = {"HCalBarrelRPCHits","HCalECRingRPCHits","HCalEndcapRPCHits"};
  registerInputCollections( LCIO::SIMCALORIMETERHIT,
			    "InputSimCaloHitCollections" , 
			    "Name of the input collections"  ,
			    m_colNames ,
			    colDefault ) ;
  
  registerOutputCollection( LCIO::CALORIMETERHIT,
			    "OutputCollection" , 
			    "Name of the output collections"  ,
			    m_outputColName ,
			    std::string("G4StepAsHit" ) ) ;
  
  registerOptionalParameter("ActivateILDmode", 
			    "Activate ILD CellID decoding, ony option supported now",
			    m_CellID_ILDStyle,
                            true);

}

void SimHitStepsToCaloHitProcessor::init()
{
  printParameters();
  m_converter.setCollectionNames(m_colNames);
  if (m_CellID_ILDStyle) m_converter.setILDmode();
}

void SimHitStepsToCaloHitProcessor::processEvent( LCEvent * evt )
{
  LCCollectionVec* outcol=m_converter.convert(evt);
  evt->addCollection(outcol,m_outputColName);
}
